package com.zzsmart.qomo.kn.cost.manage.vo;

public class HiveSapZcorc {
    public int id;
    public String matnr;//物料号
    public String aufnr;//工单号
    public String ymonth;
    public String kmonth;
    public String idnrk;//组件物料号
    public String auart;//工单类型，PP01 PP05
    public double psmng;
    public String layer;
    public String rlayer;
    public String ps_psp_pnr;//wbs号
    public String werks;//工厂
    public String posid;
    public double ppsmng;
    public double rpsmng;
    public double menge;
    public double unmng;
    public String ebelp;
    public String ebeln;
    public String productname;
    public double kstsum;//单位月加权实际成本
    public double kst001;//单位月加权材料
    public double kst003;//单位月加权人工费用
    public double kst005;//单位月加权制造费用
    public double rkst000;//总实际成本
    public double rkst100;//实际门控成本
    public double rkst001;//物料成本
    public double rkst003;//工费成本
    public double rkstlabor;//人工成本
    public double rkst0051;//本阶段加下阶段制费和
    public double rkst301;
    public double rkst302;
    public double rkst303;
    public double rkst304;
    public double rkstzfi032;
    public double rkstwfp;
    public double rkstwft;
    public String maktx;
    public String player;
    public double e_actual_material_cost;
    public double e_actual_material_total_cost;
    public double material_7525cost;
    public double material_total_7525cost;

    public String getPlayer() {
        return player;
    }

    public void setPlayer(String player) {
        this.player = player;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getMatnr() {
        return matnr;
    }

    public void setMatnr(String matnr) {
        this.matnr = matnr;
    }

    public String getAufnr() {
        return aufnr;
    }

    public void setAufnr(String aufnr) {
        this.aufnr = aufnr;
    }

    public String getYmonth() {
        return ymonth;
    }

    public void setYmonth(String ymonth) {
        this.ymonth = ymonth;
    }

    public String getKmonth() {
        return kmonth;
    }

    public void setKmonth(String kmonth) {
        this.kmonth = kmonth;
    }

    public String getIdnrk() {
        return idnrk;
    }

    public void setIdnrk(String idnrk) {
        this.idnrk = idnrk;
    }

    public String getAuart() {
        return auart;
    }

    public void setAuart(String auart) {
        this.auart = auart;
    }

    public double getPsmng() {
        return psmng;
    }

    public void setPsmng(int psmng) {
        this.psmng = psmng;
    }

    public String getLayer() {
        return layer;
    }

    public void setLayer(String layer) {
        this.layer = layer;
    }

    public String getRlayer() {
        return rlayer;
    }

    public void setRlayer(String rlayer) {
        this.rlayer = rlayer;
    }

    public String getPs_psp_pnr() {
        return ps_psp_pnr;
    }

    public void setPs_psp_pnr(String ps_psp_pnr) {
        this.ps_psp_pnr = ps_psp_pnr;
    }

    public String getWerks() {
        return werks;
    }

    public void setWerks(String werks) {
        this.werks = werks;
    }

    public String getPosid() {
        return posid;
    }

    public void setPosid(String posid) {
        this.posid = posid;
    }

    public double getPpsmng() {
        return ppsmng;
    }

    public void setPpsmng(double ppsmng) {
        this.ppsmng = ppsmng;
    }

    public double getRpsmng() {
        return rpsmng;
    }

    public void setRpsmng(double rpsmng) {
        this.rpsmng = rpsmng;
    }

    public double getMenge() {
        return menge;
    }

    public void setMenge(double menge) {
        this.menge = menge;
    }

    public double getUnmng() {
        return unmng;
    }

    public void setUnmng(double unmng) {
        this.unmng = unmng;
    }

    public String getEbelp() {
        return ebelp;
    }

    public void setEbelp(String ebelp) {
        this.ebelp = ebelp;
    }

    public String getEbeln() {
        return ebeln;
    }

    public void setEbeln(String ebeln) {
        this.ebeln = ebeln;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public double getKstsum() {
        return kstsum;
    }

    public void setKstsum(double kstsum) {
        this.kstsum = kstsum;
    }

    public double getKst001() {
        return kst001;
    }

    public void setKst001(double kst001) {
        this.kst001 = kst001;
    }

    public double getKst003() {
        return kst003;
    }

    public void setKst003(double kst003) {
        this.kst003 = kst003;
    }

    public double getKst005() {
        return kst005;
    }

    public void setKst005(double kst005) {
        this.kst005 = kst005;
    }

    public double getRkst000() {
        return rkst000;
    }

    public void setRkst000(double rkst000) {
        this.rkst000 = rkst000;
    }

    public double getRkst100() {
        return rkst100;
    }

    public void setRkst100(double rkst100) {
        this.rkst100 = rkst100;
    }

    public double getRkst001() {
        return rkst001;
    }

    public void setRkst001(double rkst001) {
        this.rkst001 = rkst001;
    }

    public double getRkst003() {
        return rkst003;
    }

    public void setRkst003(double rkst003) {
        this.rkst003 = rkst003;
    }

    public double getRkstlabor() {
        return rkstlabor;
    }

    public void setRkstlabor(double rkstlabor) {
        this.rkstlabor = rkstlabor;
    }

    public double getRkst0051() {
        return rkst0051;
    }

    public void setRkst0051(double rkst0051) {
        this.rkst0051 = rkst0051;
    }

    public double getRkst301() {
        return rkst301;
    }

    public void setRkst301(double rkst301) {
        this.rkst301 = rkst301;
    }

    public double getRkst302() {
        return rkst302;
    }

    public void setRkst302(double rkst302) {
        this.rkst302 = rkst302;
    }

    public double getRkst303() {
        return rkst303;
    }

    public void setRkst303(double rkst303) {
        this.rkst303 = rkst303;
    }

    public double getRkst304() {
        return rkst304;
    }

    public void setRkst304(double rkst304) {
        this.rkst304 = rkst304;
    }

    public double getRkstzfi032() {
        return rkstzfi032;
    }

    public void setRkstzfi032(double rkstzfi032) {
        this.rkstzfi032 = rkstzfi032;
    }

    public double getRkstwfp() {
        return rkstwfp;
    }

    public void setRkstwfp(double rkstwfp) {
        this.rkstwfp = rkstwfp;
    }

    public double getRkstwft() {
        return rkstwft;
    }

    public void setRkstwft(double rkstwft) {
        this.rkstwft = rkstwft;
    }

    public String getMaktx() {
        return maktx;
    }

    public void setMaktx(String maktx) {
        this.maktx = maktx;
    }

    public double getE_actual_material_cost() {
        return e_actual_material_cost;
    }

    public void setE_actual_material_cost(double e_actual_material_cost) {
        this.e_actual_material_cost = e_actual_material_cost;
    }

    public double getE_actual_material_total_cost() {
        return e_actual_material_total_cost;
    }

    public void setE_actual_material_total_cost(double e_actual_material_total_cost) {
        this.e_actual_material_total_cost = e_actual_material_total_cost;
    }

    public void ReplaceActual(){
//        if(e_actual_material_total_cost>0){
//            rkst000=e_actual_material_total_cost;
//        }
//        if(e_actual_material_cost>0){
//            rkst001=e_actual_material_cost;
//        }

        if(e_actual_material_total_cost>0){
            rkst000=material_total_7525cost;
        }
        if(e_actual_material_cost>0){
            rkst001=material_7525cost;
        }
    }

    //本阶制费
    public double getStageProduct(){
        return rkst301+rkst302+rkst303+rkst304;
    }

    public double getPrice(){
        return rkst001/rpsmng;
    }

    public double getMaterial_7525cost() {
        return material_7525cost;
    }

    public void setMaterial_7525cost(double material_7525cost) {
        this.material_7525cost = material_7525cost;
    }

    public double getMaterial_total_7525cost() {
        return material_total_7525cost;
    }

    public void setMaterial_total_7525cost(double material_total_7525cost) {
        this.material_total_7525cost = material_total_7525cost;
    }
}
